/* Fonts */
@import url('https://fonts.googleapis.com/css2?family=Open+Sans');
@import url('https://fonts.googleapis.com/css2?family=Outfit');
@import url('https://fonts.googleapis.com/css2?family=Alfa+Slab+One');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap');
/* Space Mono */ @import url('https://fonts.googleapis.com/css2?family=Space+Mono:wght@400');
/* Roboto */ @import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
/* Lato */ @import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

/* Inter - font-family: "Inter", sans-serif; */@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

html {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

/* Master styles */

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    background-color: #1C1C24;
    display: flex;
    flex-direction: column;
}

.container {
    margin: 0 auto;
}

.bg-img {
    /*background-image: url("assets/My\ Website\ Banner.png");*/
    background-position: center center;
    width: auto;
    height: 120vh;
    background-size: cover;
    background-repeat: no-repeat;
}

header::after {
    content: '';
    display: table;
    clear: both;
}

.p-fullvh {
    height: 100vh;
}

/* Nav styles*/

.logo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: 'Space Mono', monospace;
    font-size: 1.4vw;
    padding: 0.5rem;
    padding-left: 4vw;
    color: #fffffffa;
}

.name {
    color: #fffffffa;
}

.mobile-nav-toggle {
    display: none;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: 'Space Mono', monospace;
    font-weight: 400;
    font-size: 1.3vw;
    padding-top: 1.2vw;
    min-width: 98vw;
    padding-right: 4vw;
}

nav ul {
    margin: 0;
    padding:0;
    display: flex;  
}

nav li {
    list-style: none; 
}

nav a {
    color: #fffffffa;
    text-decoration: none;
    text-transform: uppercase;
    padding-left: 2rem;
    display: flex;
    transition: 200ms;
}

nav a:hover {
    color: #44a5ff;
}

.nav-links {
    display: flex;
    transition: transform .2s;
    padding-left: 1vw;
    justify-content: center;
    align-items: center;
}

.mb-nav-links {
    display: none;
}

.nav-links a:hover {
    -ms-transform: scale(1.4); /* IE 9 */
    -webkit-transform: scale(1.4); /* Safari 3-8 */
    transform: scale(1.4);
}

@media (max-width: 35rem) {
    
    nav ul {
        position: fixed;
        z-index: 1000;
        inset: 0 0 0 0;

        flex-direction: column;
        padding: min(6vh, 10rem) 2em;
        background: steelblue;

        transform: translateX(100%);
        transition: transform 350ms ease-out;
    }

    .logo {
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-family: 'Space Mono', monospace;
        font-size: 5.5vw;
        margin: 1.75rem;
        padding-left: 1rem;
        color: #fffffffa;
    }
    
    nav ul[data-visible="true"] {
        transform: translateX(0%);

    }

    nav a {
        color: #fffffffa;
        text-decoration: none;
        text-transform: uppercase;
        margin: 1rem;
        display: block;
        transition: 400ms;
        width: fit-content;
        padding: 0;
        font-size: 5.5vw;
    }

    .mobile-nav-toggle {
        display: block;
        z-index: 9999;
        background-color: transparent;
        background-image: url("assets/Hamburger\ Icon.png");
        background-size: 100%;
        background-repeat: no-repeat;
        width: 2rem;
        border: 0;
        aspect-ratio: 1;
        margin-right: 1.75rem;
    }

    .mobile-nav-toggle[aria-expanded="true"] {
        background-image: url(assets/Cross\ Icon.png);
    }

    .nav-links {
        display: none;
    }

    nav a:hover {
        color: #1b1c1c;
    }

    .mb-nav-links {
        display: flex;
        margin-top: 0.5rem;
        transition: transform .2s;
        display: block;
        width: fit-content;
        padding: 0;
    }

    .mb-nav-links:hover {
        -ms-transform: scale(1.4); /* IE 9 */
        -webkit-transform: scale(1.4); /* Safari 3-8 */
        transform: scale(1.4);
    }
}

@media (max-width: 40rem) {
    .bg-img {
        background-image: none;
 /*       background-position: center center;
        background-size: cover;
        background-repeat: no-repeat;*/
    }
}

/* FOOTER */

.footer {
    margin-top: auto;
    color: white;
    background-color: #141418;
    padding: 5vh;
}

.social-icons {
    display: flex;
    justify-content: center;
    align-items: center;
}

.social-icons a {
    text-decoration: none;
    margin: 1rem;
    transition: 0.2s;
}

.social-icons a i {
    font-size: 2rem;
    color: white;
}

.social-icons a:hover {
    -ms-transform: scale(1.4); /* IE 9 */
    -webkit-transform: scale(1.4); /* Safari 3-8 */
    transform: scale(1.4);
}

.footerNav {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.footerNav li a{
    text-decoration: none;
    list-style: none;
    color: white;
}

.footerItems {
    margin: 5vw;
    margin-top: 1vh;
    margin-bottom: 0;
    max-width: 8vw;
    font-size: 1vw;
}

.footerItems li {
    display: flex;
    justify-content: center;
    color: white;
    font-family: "Space Mono", sans-serif;
    padding-bottom: 1vh;
    
}

.footerItems li a {
    transform: 0.5s;
}

.footerItems li a:hover {
    color: #44a5ff;
}

.footerTitle {
    font-size: 1.5VW;
}

@media (max-width: 40rem) {
    .footerTitle {
    font-size: 3vw;
    width: auto;
    }

    .footerItems li {
        font-size: 1.75vw;
        width: auto;
    }
}

/*Portfolio Styles*/

/*Text*/
.font {
    font-family: 'Source Sans Pro', monospace;
}

.bg {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

h1 {
    font-family: "Open Sans", sans-serif;
    font-weight: 800;
}

h2 {
    position: relative;
    font-size: 60px;
    color: white;
    font-family: "Open Sans", sans-serif;
    
}

.textbody {
    display: flex;
    font-size: 3.4vw;
    font-family: "Inter", sans-serif;
    font-weight: 500;
    justify-content: center;
    align-items: center;
    color: white;
    padding: 10vw;
    height: 88vh;
}

.typed-text {
    font-weight: 400;
    color: #44a5ff;
    /*color: #dd7732;*/
}

.orange-text {
    font-weight: 400;
    color: #44a5ff;
    /*color: #dd7732;*/
}

.mb-br {
    display: none;
}

.spacebr {
    margin-top: 90vh;
}

:root {
    --bg-color: hsl;
    --typewriterSpeed: 5s;
    --blinkLength: 825ms;
    --typewriterCharacters: 20;
}

    #selficon img {
        width: 21vw;
    }

@media (max-width: 40rem) {
    .textbody {
        font-size: 10vw;
        flex-direction: column;
        max-height: 140vh;
        min-height: 70vh;
        justify-content: center;
        align-items: center;
        padding-left: 15vw;
        padding-right:  12vw;
        padding-bottom: 5vh;
    }


    .mb-br {
        display: block;
    }

    #selficon img {
        width: 60vw;
    }

    .selftitle {
        height: 100vw;
    }

    .specialicons a i {
        font-size: 8vw;
        padding-right: 2vw;
        padding-left: 2vw;
    }
}

/* Self picture and HOME PAGE */

/*special projects portion*/

.specialprojects {
    display: flex;
    color: #44a5ff;
    width: 100%;
    justify-content: center;
    align-items: center;
    padding-bottom: 10vw;
    margin-top: 4vh;
}

.specialicons {
    width: min-content;
    transition: .2s;
    font-size: 5vw;
    margin: 4vw;
    margin-bottom: 0;
    margin-top: -4vw;
}

.specialicons a {
    text-decoration: none;
    color: #44a5fff3;
}

.specialicons:hover {
    -ms-transform: scale(1.4); /* IE 9 */
    -webkit-transform: scale(1.4); /* Safari 3-8 */
    transform: scale(1.4);
}

/*works*/

#selficon {
    margin-right: 2vw;
}

.section1 {
    display: flex;
    flex-direction: column;
    height: 60vh;
    background-color: #15161a;
    color: white;
    font-family: "Inter", sans-serif;
    line-height: 3.5vh;
}

#sec1title {
    color: white;
    font-family: "Inter", sans-serif;
    font-size: 3vw;
    font-weight: 500;
    margin: 10vh;
    margin-bottom: 1vh;
}

#sec1desc {
    font-size: 1vw;
    color: rgba(255, 255, 255, 0.85);
    margin: 10vh;
    margin-top: 2vh;
    font-weight: 500;
}

#sec1desc a {
    color: hsl(200, 40%, 60%);
    text-decoration: none;
    font-weight: 565;
}

.para {
    margin-top: 2vh;
}

@media (max-width: 40rem) {
    .section1 {
        line-height: 5.5vw;
        min-height: 90vh;
    }
    
    #sec1desc {
        font-size: 4vw;
    }

    #sec1title {
        font-size: 5.5vw;
        margin-bottom: 0;
    }
}

/* Type Writer Effect */

.cursor {
    display: inline-block; 
    width: 3px;
    background-color:#44a5ff; /* #ccc - white */
    margin-left: 0.1rem;
    animation: blink 1s infinite;
}
.cursor.typing {
    animation: none;
}

@keyframes blink {
    0% {background-color: #44a5ff;}
    49% {background-color: #44a5ff; }
    50% {background-color: transparent; }
    99% {background-color: transparent; }
    100% {background-color: #44a5ff; } 
}

/* About Page (HOME PAGE) */

.youtube-one {
    height: 800px;
    background-color: #20283e;
}

.youtube-two {
    background: #181818;
}

.play {
    background-color: #181818;
    font-family: 'Courier New', Courier, monospace;
    font-size: 8vh;
    color: #239623;
    
   
}

.play-button {
    font-family: 'Open Sans', sans-serif;
    font-weight: 800;
    font-size: 16vh;
    color: azure;
    text-align: center;
    background-color: #239623;
    border-radius: 40px;
    height: 40%;
    width: 20%; 
    margin-right: 50%;
}

/* ABOUT PAGE STYLES */

.about {
    display: flex;
    justify-content: center;
    margin: 28vw;
    margin-top: 6rem;
    margin-bottom: 6rem;
    font-family: "Inter", sans-serif;
    color: #ffffff;
}

.about-title {
    display: flex;
    justify-content: center;
    font-size: 10vmin;
    font-weight: 600;

}

.about-desc {
    display: flex;
    justify-content: center;
    font-size: 2vw;
    padding-top: 4vh;
    padding-bottom: 12vh;
    font-weight: 300;
}

/*
            <div class="about-title">
                About
            </div>
            <div class="about-desc">
                About me and what I love to do.
            </div>
*/

.special {
    display: inline;
    background-image: linear-gradient(to top, hsl(224, 40%, 55%), hsl(210, 40%, 60%));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    margin-left: 1.25rem;
}

.bio {
    font-size: 6rem;
    font-weight: 600;
}

.bio-title {
    display: flex;
    justify-content: center;
    font-size: 6vmin;
    font-weight: 600;
}

.bio-minititle {
    display: flex;
    margin: 1vh;
    font-size: 1vw;
    font-weight: 400;
    justify-content: center;
    align-items: center;
    color: #ffffff;
}

.bio-subtitle {
    margin-top: 6vh;
    font-size: 3vw;
    font-weight: 400;
}

.bio-paragraph {
    margin-top: 2rem;
    font-size: 3vmin;
    font-weight: 400;
    line-height: 6vh;
}

@media (max-width: 40rem) {
    .about {
        position: relative;
        align-items: center;
        width: auto;
        border-radius: 2rem;
        margin: 0;
        margin-top: 2vh;
        
    }

    .bio {
        margin: 0;
        font-size: 16vw;
        padding-left: 16vw;
        padding-right: 16vw;
        margin-bottom: 10vh;
    }
    
    .bio-title {
        display: flex;
        justify-content: center;
        font-size: 10vw;
        font-weight: 600;
    }
    
    .bio-subtitle {
        font-size: 5vmin;
        font-weight: 400;
    }

    .bio-minititle {
        display: flex;
        margin: 0;
        margin-top: 1vh;
        font-size: 3vw;
        font-weight: 400;
        justify-content: left;
        color: #ffffff;
    }
    
    
    .bio-paragraph {
        margin-top: 2vh;
        line-height: 4.5vh;
        font-size: 5vw;
        font-weight: 200;
    }

    .special {
        display: inline;
        background-image: linear-gradient(to top, hsl(224, 40%, 55%), hsl(210, 40%, 60%));
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        margin-left: 4vw;
    }
}

.skills {
    margin: 4rem;
    color: #002003;
    font-size: 6rem;
    font-family: 'Outfit', sans-serif;
    font-weight: 600;
}

.skills-title {
    color: #ffffff;
    font-size: 14vmin;
    font-weight: 600;
}

.skills-desc {
    margin-top: 2rem;
    color: #d7d7d7;
    font-size: 4vmin;
    font-family: 'Outfit', sans-serif;
    font-weight: 200;
}

/* PROJECTS PAGE STYLES */

.item-bg-gradient {
    background-image: linear-gradient(to right, rgb(62, 62, 51), purple);
    width: max-content;
    height: max-content;
}

.cards {
    display: grid;
    margin-top: 2.4vh;
    margin: 6vw;
}

.card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: hsl(204, 30%, 40%);
    background-image: linear-gradient(to right, hsl(204, 30%, 40%), hsl(200, 40%, 60%));
    width: calc(14vw * 1.075);
    height: calc(20vw);
    border-radius: 1vw;
    font-family: "Open Sans";
    border: black;
    border-style: solid;
    border-width: .25vw;
}

.card img {
    width: 13vw;
}

.card .title {
    font-weight: 600;
    font-size: 1.25vw;
}

.card .memo {
    font-size: 1vw;
    text-align: center;
}

.cards a {
    text-decoration: none;
    color: black;
    width: fit-content;
    transition: 150ms;
}

.cards a:hover {
    -ms-transform: scale(1.05); /* IE 9 */
    -webkit-transform: scale(1.05); /* Safari 3-8 */
    transform: scale(1.05);
}

/* PROJECT (more info) PAGE STYLES - OLD NAMING FOR BLOCK RUSH*/

.br-info {
    display: grid;
    grid-template-columns: 30vw 80vw;
    margin: 10%;
    margin-top: 8%;
}

.br-info-left {
    width: 30vw;
}

.br-info-right {
    color: whitesmoke;
    font-size: 2vw;
    font-weight: 400;
    font-family: "Inter", sans-serif;
    margin-left: 0vw;
    margin-top: 2vw;
    width: 50vw;
}

.br-title {
    font-size: 4.5vw;
    font-weight: 600;
    font-family: "Inter", sans-serif;
    margin-top: 2vw;
}

.br-interact .br-title {
    display: none;
}

.br-interact {
    display: flex;
    width: 25%;
    text-align: center;    
    margin-top: 2vw;
}

.button {
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 2rem;
    cursor: pointer;
    width: 20%;
}

.modern-button {
    display: flex;
    background-color: hsl(240, 50%, 5%);
    border: 0;
    width: 24vw;
    height: 4vw;
    font-size: 1.5vw;
    justify-content: center;
    align-items: center;
    color: white;
    border-radius: 1vw;
    font-family: "Inter", sans-serif;
    padding-right: 2vw;
    padding-left: 2vw;
    transition: 200ms;
    margin-right: 3vw;
}

.modern-button:hover {
    -ms-transform: scale(1.05); /* IE 9 */
    -webkit-transform: scale(1.05); /* Safari 3-8 */
    transform: scale(1.05);
    color: #44a5ff;
}

@media (max-width: 40rem) {

    .br-info-right {
        font-size: 4vw;
    }

    .cards {
        justify-content: center;
        margin-left: 0;
        width: 100vw;
    }

    .card {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        background-color: hsl(204, 30%, 40%);
        background-image: linear-gradient(to right, hsl(204, 30%, 40%), hsl(200, 40%, 60%));
        width: calc(14vw * 5);
        height: calc(20vw * 5);
        border-radius: calc(1vw * 5);
        font-family: "Open Sans";
        border-width: calc(.25vw * 5);
        /*zoom:500%;*/
    }

    .card img {
        width: calc(13vw * 5);
    }

.card .title {
    font-size: calc(1.25vw * 5);
}

.card .memo {
    font-size: calc(1vw * 5);
}

    

    .br-info-right {
        font-size: 4vw;
        width: 60vw;
        margin: 0;
    }

        
    .br-info {
        display: flex;
        flex-direction: column;
        justify-content: center;
        grid-template-columns: 30vw 80vw;
        margin: 0%;
        margin-top: 1vh;
        margin-left: 10vw;
        margin-right: 10vw;
    }

    .br-info-left {
        width: 30vw;
    }

    .br-title {
        display: flex;
        font-size: 5vw;
        color: whitesmoke;  
        margin-top: 2vw;
    }

    .br-interact .br-title {
        display: flex;
    }

    .br-interact {
        grid-column: 2;
        grid-row: 1;
        width: 25%;
        text-align: center;    
        margin-top: 1vw;
    }

    .button {
        border: none;
        color: white;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 2rem;
        cursor: pointer;
        width: 20%;
    }

    .modern-button {
        display: flex;
        background-color: hsl(240, 50%, 5%);
        border: 0;
        width: calc(14vw * 2.25);
        height: calc(4vw * 1.75);
        font-size: calc(1.5vw * 1.75);
        justify-content: center;
        align-items: center;
        color: white;
        border-radius: 1vw;
        padding-right: 2vw;
        padding-left: 2vw;
        transition: 200ms;
        margin: 3vw;
        margin-left: 0;
    }

    .mordern-button img {
        width: .25vw;
    }
}


/* SERVICES PAGE STYLES */

.services {
   
    background-image: url("assets/nothing\ here\ newv2.png");    
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    width: auto;
    height: 100vh;
}

/* OTHER */

.nothing-here { 
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 12vh;
    color: #fffffffa;
    text-align: center;
    padding-top: 30vh;
}

@media (max-width: 35rem) {
    .services {
        background-image: url("assets/nothing\ here\ new\ mb.png"); 
        height: 100vh;
    }

    .nothing-here {
        font-size: 10vw;
        margin-top: -5vh;
    }
}

/* EXTRAS/COSMETICS */

::selection {
    background: #4878e1; /* WebKit/Blink Browsers */
  }
::-moz-selection {
    background: #4878e1; /* Gecko Browsers */
    }

/* TOOLTIPS */

/* Tooltip template just use whenever needed
    See https://www.w3schools.com/css/css_tooltip.asp#:~:text=Basic%20Tooltip&text=HTML%3A%20Use%20a%20container%20element,with%20class%3D%22tooltiptext%22%20.
    for more info on tooltips (:
*/


/* 
<div class="tooltip">
<span class="tooltiptext">Windows x64 | Mac</span>
</div> 
*/


.tooltip {
    position: relative;
    display: inline-block;
  }

.tooltip .tooltiptext {
    visibility: hidden;
    width: 2vw;
    background-color: hsl(240, 50%, 5%);
    color: #fff;
    text-align: center;
    border-radius: .5rem;
    padding: .5rem 0;

    /* Position the tooltip */ 
    position: absolute;
    z-index: 1;
    width: 12vw;
    top: 100%;
    left: 50%;
    margin-left: -60px; /* Use half of the width (120/2 = 60), to center the tooltip */
    margin-top: 1vh;
    font-size: 1vw;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
  }

.tooltip .tooltiptext::after {
    content: " ";
    position: absolute;
    bottom: 100%;  /* At the top of the tooltip */ 
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent black transparent;
  }